=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
# Modified for secnet by Stephen Early <steve@greenend.org.uk>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#  This file is Free Software.  It has been incorporated into, and
#  extensively modified, for secnet.
#
#  Copyright 2001      Joey Hess
#  Copyright 2011-2014 Ian Jackson
#
#  You may redistribute this file (and the other source files in the
#  debian/ subdirectory) freely - the copyrightholders declare that
#  they wish these files to be in the public domain.
#
#  You may redistribute secnet as a whole and/or modify it under the
#  terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3, or (at your option) any
#  later version.
#
#  This software is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, see
#  https://www.gnu.org/licenses/gpl.html.

export EXTRA_CFLAGS= $(shell dpkg-buildflags --get CPPFLAGS) \
		     $(shell dpkg-buildflags --get CFLAGS)
export EXTRA_LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

build build-arch: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	./configure --prefix=/usr --sysconfdir=/etc && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install

# Build architecture-independent files here.
build-indep binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs INSTALL README NOTES TODO NEWS BUGS CREDITS
	dh_installexamples example.conf
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
